net/p5-Net-IPv4Addr - The NetBSD Packages Collection

Perl extension for manipulating IPv4 addresses

Net::IPv4Addr provides functions for parsing IPv4 addresses both
in traditional address/netmask format and in the new CIDR format.
There are also methods for calculating the network and broadcast
address and also to see check if a given address is in a specific
network.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-Net-IPv4Addr-0.10nb12.tgz
NetBSD 8.0earmv7hfp5-Net-IPv4Addr-0.10nb12.tgz
NetBSD 8.0earmv7hfp5-Net-IPv4Addr-0.10nb12.tgz
NetBSD 8.0earmv7hfp5-Net-IPv4Addr-0.10nb13.tgz
NetBSD 8.0i386p5-Net-IPv4Addr-0.10nb12.tgz
NetBSD 8.0i386p5-Net-IPv4Addr-0.10nb12.tgz
NetBSD 8.0i386p5-Net-IPv4Addr-0.10nb12.tgz
NetBSD 8.0i386p5-Net-IPv4Addr-0.10nb13.tgz
NetBSD 8.0powerpcp5-Net-IPv4Addr-0.10nb12.tgz
NetBSD 8.0powerpcp5-Net-IPv4Addr-0.10nb12.tgz
NetBSD 8.0powerpcp5-Net-IPv4Addr-0.10nb12.tgz
NetBSD 8.0powerpcp5-Net-IPv4Addr-0.10nb12.tgz
NetBSD 8.0x86_64p5-Net-IPv4Addr-0.10nb12.tgz
NetBSD 8.0x86_64p5-Net-IPv4Addr-0.10nb12.tgz
NetBSD 8.0x86_64p5-Net-IPv4Addr-0.10nb12.tgz
NetBSD 8.0x86_64p5-Net-IPv4Addr-0.10nb13.tgz
NetBSD 9.0aarch64p5-Net-IPv4Addr-0.10nb13.tgz
NetBSD 9.0aarch64p5-Net-IPv4Addr-0.10nb12.tgz
NetBSD 9.0aarch64p5-Net-IPv4Addr-0.10nb12.tgz
NetBSD 9.0aarch64p5-Net-IPv4Addr-0.10nb12.tgz
NetBSD 9.0alphap5-Net-IPv4Addr-0.10nb12.tgz
NetBSD 9.0alphap5-Net-IPv4Addr-0.10nb13.tgz
NetBSD 9.0earmp5-Net-IPv4Addr-0.10nb12.tgz
NetBSD 9.0earmv6hfp5-Net-IPv4Addr-0.10nb13.tgz
NetBSD 9.0earmv6hfp5-Net-IPv4Addr-0.10nb12.tgz
NetBSD 9.0earmv6hfp5-Net-IPv4Addr-0.10nb12.tgz
NetBSD 9.0earmv6hfp5-Net-IPv4Addr-0.10nb12.tgz
NetBSD 9.0earmv6hfp5-Net-IPv4Addr-0.10nb12.tgz
NetBSD 9.0earmv7hfp5-Net-IPv4Addr-0.10nb13.tgz
NetBSD 9.0earmv7hfp5-Net-IPv4Addr-0.10nb12.tgz
NetBSD 9.0earmv7hfp5-Net-IPv4Addr-0.10nb12.tgz
NetBSD 9.0earmv7hfp5-Net-IPv4Addr-0.10nb12.tgz
NetBSD 9.0earmv7hfp5-Net-IPv4Addr-0.10nb12.tgz
NetBSD 9.0earmv7hfp5-Net-IPv4Addr-0.10nb12.tgz
NetBSD 9.0earmv7hfp5-Net-IPv4Addr-0.10nb13.tgz
NetBSD 9.0i386p5-Net-IPv4Addr-0.10nb12.tgz
NetBSD 9.0i386p5-Net-IPv4Addr-0.10nb12.tgz
NetBSD 9.0i386p5-Net-IPv4Addr-0.10nb12.tgz
NetBSD 9.0i386p5-Net-IPv4Addr-0.10nb13.tgz
NetBSD 9.0m68kp5-Net-IPv4Addr-0.10nb12.tgz
NetBSD 9.0mips64ebp5-Net-IPv4Addr-0.10nb12.tgz
NetBSD 9.0mips64ebp5-Net-IPv4Addr-0.10nb12.tgz
NetBSD 9.0mips64ebp5-Net-IPv4Addr-0.10nb12.tgz
NetBSD 9.0mips64ebp5-Net-IPv4Addr-0.10nb13.tgz
NetBSD 9.0mipselp5-Net-IPv4Addr-0.10nb12.tgz
NetBSD 9.0mipselp5-Net-IPv4Addr-0.10nb12.tgz
NetBSD 9.0powerpcp5-Net-IPv4Addr-0.10nb12.tgz
NetBSD 9.0powerpcp5-Net-IPv4Addr-0.10nb12.tgz
NetBSD 9.0powerpcp5-Net-IPv4Addr-0.10nb12.tgz
NetBSD 9.0powerpcp5-Net-IPv4Addr-0.10nb12.tgz
NetBSD 9.0powerpcp5-Net-IPv4Addr-0.10nb12.tgz
NetBSD 9.0sh3elp5-Net-IPv4Addr-0.10nb12.tgz
NetBSD 9.0sh3elp5-Net-IPv4Addr-0.10nb12.tgz
NetBSD 9.0sparc64p5-Net-IPv4Addr-0.10nb12.tgz
NetBSD 9.0sparc64p5-Net-IPv4Addr-0.10nb13.tgz
NetBSD 9.0sparcp5-Net-IPv4Addr-0.10nb12.tgz
NetBSD 9.0sparcp5-Net-IPv4Addr-0.10nb12.tgz
NetBSD 9.0sparcp5-Net-IPv4Addr-0.10nb12.tgz
NetBSD 9.0sparcp5-Net-IPv4Addr-0.10nb13.tgz
NetBSD 9.0vaxp5-Net-IPv4Addr-0.10nb12.tgz
NetBSD 9.0vaxp5-Net-IPv4Addr-0.10nb12.tgz
NetBSD 9.0x86_64p5-Net-IPv4Addr-0.10nb12.tgz
NetBSD 9.0x86_64p5-Net-IPv4Addr-0.10nb13.tgz
NetBSD 9.0x86_64p5-Net-IPv4Addr-0.10nb12.tgz
NetBSD 9.0x86_64p5-Net-IPv4Addr-0.10nb13.tgz
NetBSD 9.0x86_64p5-Net-IPv4Addr-0.10nb12.tgz
NetBSD 9.0x86_64p5-Net-IPv4Addr-0.10nb12.tgz
NetBSD 9.0x86_64p5-Net-IPv4Addr-0.10nb12.tgz
NetBSD 9.0x86_64p5-Net-IPv4Addr-0.10nb13.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.